package com.prolog.eis.enums.mcs;

public enum FloorHeightEnums {

    ONE(1, "1100"),
    TWO(2, "1200"),
    THREE(3, "1350");

    private int floor;

    private String height;

    FloorHeightEnums(int floor, String height) {
        this.floor = floor;
        this.height = height;
    }

    public static String getHeight(int floor) {
        for (FloorHeightEnums value : FloorHeightEnums.values()) {
            if (value.floor == floor) {
                return value.height;
            }
        }
        return null;
    }


    public static Integer getFloor(String height) {
        for (FloorHeightEnums value : FloorHeightEnums.values()) {
            if (value.height.equals(height)) {
                return value.floor;
            }
        }
        return null;
    }

}
